<div class="default-content-padding">
  <h1>Ustawienia użytkownika {{username}}</h1>
  <mat-accordion>
    <mat-expansion-panel>
      <mat-expansion-panel-header>
        <mat-panel-title>
          Ustawienia użytkownika
        </mat-panel-title>
        <mat-panel-description>
          Hasło i zdjęcie profilowe
        </mat-panel-description>
      </mat-expansion-panel-header>
      <div>
        <div class="settings-section">
          <div class="settings-section-header">Zmień zdjęcie profilowe</div>
          <div class="settings-section-content avatar-photo-input">
            <img class="avatar-photo-display" [src]="accountSettings?.avatarPhotoURL">
            <mat-form-field>
              <mat-label>
                URL zdjęcia
              </mat-label>
              <input matInput [value]="accountSettings?.avatarPhotoURL">
            </mat-form-field>
          </div>
        </div>

        <mat-divider></mat-divider>
        <div class="settings-section">
          <div class="settings-section-header">Zmień hasło</div>
          <div class="settings-section-content password-change-form">
            <form>
              <mat-form-field>
                <mat-label>
                  Stare hasło
                </mat-label>
                <input matInput [type]="'password'">
              </mat-form-field>
              <mat-form-field>
                <mat-label>
                  Nowe hasło
                </mat-label>
                <input matInput [type]="'password'">
              </mat-form-field>
              <mat-form-field>
                <mat-label>
                  Potwierdź nowe hasło
                </mat-label>
                <input matInput [type]="'password'">
              </mat-form-field>
              <button mat-raised-button color="primary">Zmień hasło</button>
            </form>
          </div>
        </div>

      </div>
    </mat-expansion-panel>

    <mat-expansion-panel (afterExpand)="openNotificationSettings()">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Ustawienia powiadomień
        </mat-panel-title>
        <mat-panel-description>
          Powiadomienia dot. linii i przystanków
        </mat-panel-description>
      </mat-expansion-panel-header>
      <div class="settings-section">
        <div class="settings-section-header">Powiadomienia</div>
        <div class="settings-section-content">
          <app-chip-autocomplete-input
            #lineInput
            [label]="'Wybierz linie'"
            [required]="false"
            (chosenValuesChanged)="updateLines($event)"></app-chip-autocomplete-input>
          <app-chip-autocomplete-input
            #stopInput
            [label]="'Wybierz przystanki'"
            [required]="false"
            (chosenValuesChanged)="updateStops($event)"></app-chip-autocomplete-input>
        </div>
        <div
          *ngIf="notificationsAllowed === false"
          class="notifications-content">
          Nie zezwoliłeś/aś na wysyłanie Ci powiadomień na tym urządzeniu. Możesz zmieniać powyższe ustawienia i
          otrzymywać powiadomienia na innych urządzeniach.
        </div>
        <div
          *ngIf="notificationsAllowed === true"
          class="notifications-content">
          Zezwoliłeś/aś na wysyłanie Ci powiadomień na tym urządzeniu. Jeśli nie chcesz ich dalej otrzymwać, zmień
          ustawienia swojej przeglądarki.
        </div>


      </div>
    </mat-expansion-panel>
  </mat-accordion>
</div>
